/**
 * 
 */
package recursivePossibilitiesStringMVC;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/**
 * @author deanhougen
 *
 */
public class Controller {
	private Model model;
	private View view;

	/**
	 * 
	 */
	public Controller() {
		// empty
	}

	private class EntryListener implements ActionListener {
		public void actionPerformed(ActionEvent e) {
			if (model == null)
				return; // No model associated yet. Do nothing
			model.setBaseString(view.getEntryString());
		}
	}

	public void setModel(Model model) {
		this.model = model;
	}

	public void setView(View view) {
		this.view = view;

		// Register listeners
		ActionListener entryListener = new EntryListener(); // could be anonymous
		view.addEntryListener(entryListener);
	}
}
